%define name fio
%define version 2.05
%define release %mkrel 2

Summary: A flexible I/O tester/benchmarker
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.sfr-fresh.com/unix/privat/%{name}-%{version}.tar.gz
License: GPL
Group: 	System/Kernel and hardware 
Url: http://git.kernel.dk/?p=fio.git;a=summary
BuildRequires: libaio-devel

%description
fio is an I/O tool meant to be used both for benchmark and 
stress/hardware verification.
It has support for 9 different types of I/O engines
(sync, mmap, libaio, posixaio, SG v3, splice, null, network, syslet),
I/O priorities (for newer Linux kernels), rate I/O, forked or threaded jobs,
and much more. It can work on block devices as well as files.
fio accepts job descriptions in a simple-to-understand text format.
Several example job files are included. 
fio displays all sorts of I/O performance information.
It supports Linux, FreeBSD, and OpenSolaris.

%prep
%setup -q

%build
%make

%install
%makeinstall

%files
%doc HOWTO README COPYING REPORTING-BUGS
%doc examples
%{_bindir}/fio
%{_bindir}/fio_generate_plots
%{_mandir}/man1/*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.05-2.mga3
+ Revision: 350366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 dams <dams> 2.05-1.mga2
+ Revision: 217503
- new version 2.0.5
- clean spec file

* Wed Jan 19 2011 erwan <erwan> 1.41-1.mga1
+ Revision: 24646
- imported package fio

